package com.steerinfo.meterwork.meterworkrailwayreceived.service;

import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.metermonitor.metermonitornote.model.MeterMonitorNote;
import com.steerinfo.meterwork.meterworkcaractualfirst.model.MeterWorkCarActualFirst;
import com.steerinfo.meterwork.meterworkrailwayreceived.model.MeterWorkRailwayReceived;
import org.apache.shiro.crypto.hash.Hash;

import java.util.Date;
import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;

/**
 * MeterWorkRailwayReceived服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2022-03-22 09:00
 * 类描述
 * 修订历史：
 * 日期：2022-03-22
 * 作者：generator
 * 参考：
 * 描述：MeterWorkRailwayReceived服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterWorkRailwayReceivedService extends IBaseService<MeterWorkRailwayReceived, String>{
    RESTfulResult checkandadd(MeterWorkRailwayReceived model)  throws Exception;
    List<MeterWorkRailwayReceived> noPage(HashMap<String, Object> parmas);
    RESTfulResult removeList(List<MeterWorkRailwayReceived> models);
    RESTfulResult updateList(List<MeterWorkRailwayReceived> models);
    RESTfulResult updateListStart(List<MeterWorkRailwayReceived> models);
    RESTfulResult RemovePre(List<MeterWorkRailwayReceived> models);
    RESTfulResult matchPre(MeterWorkRailwayReceived model);
    RESTfulResult batchMatchPre(List<MeterWorkRailwayReceived> models);
    RESTfulResult addList(List<MeterWorkRailwayReceived> models);

    PageList<MeterWorkRailwayReceived> likeByDesc(HashMap<String, Object> params, Integer pageNum, Integer pageSize);
}
